
Redmine - Defect #19323

Incorrect links generated in emails if host setup uses other port (":" symbol)

2015-03-10 13:02 - Eugene B

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 3.0.1   

Resolution: Fixed Affected version: 3.0.0

Description

We were using 2.4.1 Bitnami installation for about a year with no problems. After 3.0.0 release we have switched to this new version

to be sure we are using current Redmine branch, and our installation is not so outdated. We are using Bitnami 3.0.0 installer for

windows platforms.

We have found a problem, that email links to task, that redmine provides within email body are broken. Our Redmine installation is

availble on the address: http://10.0.0.1:81/redmine/ and according to this, at redmine settings, host is set as "10.0.0.1:81/redmine/"

But at the e-mail, link is the following: "http://10.0.0.1/issues/2460" while it should be "http://10.0.0.1:81/redmine/issues/2460" we

have double checked, and we have found, that after ":" symbol at the host line, the rest is cut off and not included at the hyperlink.

When host setting was "10.0.0.1/redmine" the hyptrlink was "http://10.0.0.1/redmine/issues/2460" the only missing thing was the port.

after we set host again with port, we got the link "http://10.0.0.1/issues/2460" again. So it seems redmine ignores the rest of the host

address string after ":" symbol.

Related issues:

Related to Redmine - Defect #20192: IssueLink in email notification contains ... Needs feedback

Has duplicate Redmine - Defect #19611: Hostname with port via colon gets shri... Closed

Associated revisions

Revision 14081 - 2015-03-14 09:52 - Jean-Philippe Lang

Incorrect links generated in emails if host setup uses other port (#19323).

Revision 14093 - 2015-03-14 16:02 - Jean-Philippe Lang

Merged r14081 (#19323).

History

#1 - 2015-03-10 20:31 - Eugene B

Confirmed on 2 different PC (Server 2008R2 and Win 8.1)

Windows 8.1 details:

Host PC Win 8.1

c:\Redmine\3.0.0\apps\redmine\htdocs>ruby script/about

script/about no longer exists, please use bin/about instead.

c:\Redmine\3.0.0\apps\redmine\htdocs>ruby bin/about

DL is deprecated, please use Fiddle

Environment:

Redmine version                3.0.0.stable

Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Git                            1.9.5

Filesystem

Redmine plugins:

no plugin installed
c:\Redmine\3.0.0\apps\redmine\htdocs>

The bug is very easy to observe, just >>>get<<< latest 3-0-0 installation from bitnami, install it. At Administration > Settings > General

setup Host name and path as: "10.0.0.1:81/redmine"

after that setup any mail (gmail or what else is faster) and update any tasks

with email notification. You will see that hyperlink to redmine task is broken at notify email.

Click to see installed GEM versions...Click to see installed GEM versions...

c:\Redmine\3.0.0>bundle install --without development test

DL is deprecated, please use Fiddle

Could not locate Gemfile

c:\Redmine\3.0.0>cd apps/redmine/htdocs

c:\Redmine\3.0.0\apps\redmine\htdocs>bundle install --without development test

DL is deprecated, please use Fiddle

Using rake 10.4.2

Using i18n 0.7.0

Using json 1.8.2

Using minitest 5.5.1

Using thread_safe 0.3.4

Using tzinfo 1.2.2

Using activesupport 4.2.0

Using builder 3.2.2

Using erubis 2.7.0

Using mini_portile 0.6.2

Using nokogiri 1.6.6.2

Using rails-deprecated_sanitizer 1.0.3

Using rails-dom-testing 1.0.5

Using loofah 2.0.1

Using rails-html-sanitizer 1.0.1

Using actionview 4.2.0

Using rack 1.6.0

Using rack-test 0.6.3

Using actionpack 4.2.0

Using globalid 0.3.3

Using activejob 4.2.0

Using mime-types 2.4.3

Using mail 2.6.3

Using actionmailer 4.2.0

Using actionpack-action_caching 1.1.1

Using actionpack-xml_parser 1.0.1

Using activemodel 4.2.0

Using arel 6.0.0

Using activerecord 4.2.0

Using coderay 1.1.0

Using daemons 1.1.9

Using eventmachine 1.0.3

Using hike 1.2.3

Using thor 0.19.1

Using railties 4.2.0

Using jquery-rails 3.1.2

Using multi_json 1.11.0

Using mysql2 0.3.18

Using net-ldap 0.3.1

Using protected_attributes 1.0.8

Using ruby-openid 2.3.0

Using rack-openid 1.4.2

Using bundler 1.7.0

Using tilt 1.4.1

Using sprockets 2.12.3

Using sprockets-rails 2.2.4

Using rails 4.2.0

Using rbpdf 1.18.5

Using redcarpet 3.1.2

Using request_store 1.0.5

Using rmagick 2.13.4

Using thin 1.6.1

Using tzinfo-data 1.2015.1

Updating files in vendor/cache

Your bundle is complete!

Gems in the groups development and test were not installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.

c:\Redmine\3.0.0\apps\redmine\htdocs>

c:\Redmine\3.0.0\apps\redmine\htdocs>..

#2 - 2015-03-10 22:09 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 3.0.1

#3 - 2015-03-14 09:53 - Jean-Philippe Lang

- Subject changed from Incorrect hyperlink to task generated at email, if host setup uses other port (":" symbol) to Incorrect links generated in emails if

host setup uses other port (":" symbol)

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14081, thanks for pointing this out.

#4 - 2015-03-14 16:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2015-04-14 04:49 - Toshi MARUYAMA

- Has duplicate Defect #19611: Hostname with port via colon gets shrinked in e-mail notifications added

#6 - 2015-06-29 07:34 - Toshi MARUYAMA

- Related to Defect #20192: IssueLink in email notification contains SUB-URI part twice added
